#!/bin/sh
# This script will check for a user configuration file, and if it exists, run
# awesome-mobile from there. Otherwise, it runs from /usr/share.

# But first, make sure kgx has a sane font, because otherwise it'll just
# stretch your proportional font
cfont="$(gsettings get org.gnome.desktop.interface monospace-font-name | sed -E 's/ [0-9]+//' | sed -E "s/'//g")"
if [[  "$(fc-list)" != *"$cfont"* ]]; then
	gsettings set org.gnome.desktop.interface monospace-font-name 'monospace 10'
fi

# Set GDK_SCALE=2, for nicer touchscreen usage.
export GDK_SCALE=2
# MOZ_USE_XINPUT2=1 should enable touch scrolling in Firefox
export MOZ_USE_XINPUT2=1

if [ -f ~/.config/awesome-mobile/rc.lua ]; then
 awesome --search ~/.config/awesome-mobile/ --search /usr/share/awesome-mobile/ -c ~/.config/awesome-mobile/rc.lua
else
 awesome --search /usr/share/awesome-mobile/ -c /usr/share/awesome-mobile/rc.lua
fi
